Bug 1012301 - REST service should close active session after each request
REST service should close active session after each request
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: CR1
: ---
Assigned To: Horia Chiorean
: QA-Closed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 04:58 EDT by Horia Chiorean
Modified: 2016-02-10 03:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:52:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-2056 Critical Closed REST service never clears opened sessions 2014-02-17 09:07:00 EST

  None (edit)
Description Horia Chiorean 2013-09-26 04:58:00 EDT
The REST service currently leaves the sessions open, meaning they will accumulate with each request.
Comment 1 JBoss JIRA Server 2013-09-26 11:30:41 EDT
Horia Chiorean <hchiorea@redhat.com> made a comment on jira MODE-2056

Updated the REST service so that any session used for servicing a request is always logged out at the end, either in the happy or the exceptional cases.
Comment 2 JBoss JIRA Server 2013-09-27 12:06:31 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2056

Merged into the 'master' branch. Leaving this issue open until it can be cherry-picked onto the '3.3.x-prod-ip6.0' branch.
Comment 8 JBoss JIRA Server 2013-10-24 05:22:25 EDT
Randall Hauch <rhauch@jboss.org> updated the status of jira MODE-2056 to Closed
Comment 9 belong 2013-11-19 18:20:56 EST
Fixed before GA - setting to requires_doc_text- accordingly

Note You need to log in before you can comment on or make changes to this bug.